Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

GPT OSS 120B

GPT OSS 120B is a large-scale open-source reasoning model with exceptional performance in complex reasoning tasks and natural language understanding.

POST/project/p-{Project_Id}/genai/gpt_oss_120b/v1/chat/completions

Query parameters

  • project_idQueryintegerrequired

    Project ID

Request body

application/json

object
temperaturenumber
example0.5
max_tokensinteger
example1024
top_pnumber
example1
frequency_penaltynumber
example0
presence_penaltynumber
example1
streamboolean
examplefalse
modelstring
examplegpt_oss_120b
messagesarray

Responses

No StreamSuccessful response (Non-streaming)
object
idstring
examplechatcmpl-82c7e2c5-a99c-4869-8068-49aa705812ba
objectstring
examplechat.completion
createdinteger
example1770614085
modelstring
examplegpt_oss_120b
choicesarray
service_tierstring
system_fingerprintstring
usageobject
prompt_logprobsstring
prompt_token_idsstring
kv_transfer_paramsstring
StreamSuccessful response (Streaming mode)
string
exampledata: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"role":"assistant","content":""},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":"Hello"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":"!"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":" How"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":" can"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":" I"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":" help"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":" you"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-xyz789","object":"chat.completion.chunk","created":1770614085,"model":"gpt_oss_120b","choices":[{"index":0,"delta":{"content":"?"},"logprobs":null,"finish_reason":"stop"}]} data: [DONE]